Package org.apache.sling.api.wrappers

# Class IteratorWrapper<T>

java.lang.Object
org.apache.sling.api.wrappers.IteratorWrapper<T>

Type Parameters:
  `T` - the type of objects this `Iterator` holds

All Implemented Interfaces:
  `Iterator<T>`

@ConsumerType public class IteratorWrapper<T> extends Object implements Iterator<T>
Wrapper class for `Iterator`s, that forwards all method calls to the wrapped `Iterator`.

## Constructor Summary

Constructors
Constructor
Description
`IteratorWrapper(Iterator<T> wrappedIterator)`
Creates a wrapping iterator, delegating all method calls to the given `wrappedIterator`.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`hasNext()`
`T`
`next()`
`void`
`remove()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

## Constructor Details

### IteratorWrapper

public IteratorWrapper(Iterator<T> wrappedIterator)
Creates a wrapping iterator, delegating all method calls to the given `wrappedIterator`.

Parameters:
  `wrappedIterator` - the wrapped iterator

## Method Details

### hasNext

public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<T>`

### next

public T next()

Specified by:
  `next` in interface `Iterator<T>`

### remove

public void remove()

Specified by:
  `remove` in interface `Iterator<T>`